Skip to main content

Webhook Callback

POST 

/api/v1/callback

Endpoint for receiving webhook callbacks from FileSpin. Your server receives POST requests when asset events occur.

file-deleted and file-undeleted payload format (other events use Asset Data Format):

KeyTypeDescription
idstringFile id
eventstringfile-deleted or file-undeleted
keysJSONList of keys sent in original deletion request
statusstringOK if successful, MAYBE if uncertain (check statusMsg), ERROR if failed (see errors)
messagestringAdditional details about status
errorsJSONKeys that failed and error messages (when status is ERROR)

Example file-deleted (success): {"event":"file-deleted","id":"...","keys":["deepzoom"],"status":"OK","statusMsg":""}

Example file-deleted (error): {"event":"file-deleted","id":"...","keys":["deepzoom"],"status":"ERROR","message":"S3 Permission denied","errors":{"deepzoom":"S3 Permission denied"}}

Example file-undeleted (success): {"event":"file-undeleted","id":"...","keys":["original"],"status":"OK","message":""}

Responses

Callback processed